# Package net.axay.kspigot.extensions

## Functions

broadcast
Link copied to clipboard
fun broadcast(msg: String): Int
Content copied to clipboard
Broadcasts a message (msg) on the server.
pluginKey
Link copied to clipboard
fun pluginKey(key: String): NamespacedKey
Content copied to clipboard
Shortcut for creating a new NamespacedKey

## Properties

console
Link copied to clipboard
val console: ConsoleCommandSender
Content copied to clipboard
Shortcut to get the ConsoleSender.
onlinePlayers
Link copied to clipboard
val onlinePlayers: Collection<Player>
Content copied to clipboard
Shortcut to get all online players.
onlineSenders
Link copied to clipboard
val onlineSenders: Collection<CommandSender>
Content copied to clipboard
Shortcut to get a collection of all online players plus the console command sender.
pluginManager
Link copied to clipboard
val pluginManager: PluginManager
Content copied to clipboard
Shortcut to get the PluginManager.
server
Link copied to clipboard
val server: Server
Content copied to clipboard
Shortcut to get the Server.